Parseus

HFSLIPFC-2K

95 posts in this topic

This is a cool tool. Thanks guys. I have a little prob with it though. It seems as if I'm getting everything is missing from my hf and hfcabs folders (probably others too). I know that their not up to snuff, but the 2k update rollup and ie6 cabs should have been detected. I'm not sure how I can help. I used the current fileset as of apr 30th.

Thanks for report. It seems that Mim0 made a few errors during creating that extension. I've already fixed that, but I'll release new version after I'll fix problems with Server updates and DirectX (I haven't got any ideas BTW).

EDIT: Could anybody give me an info about this update?

Edited by Parseus
0

Share this post


Link to post
Share on other sites

The activex killbits is typically an update that has a bunch of registry edits. Typically no binaries are added to the OS. The killbits updates do not come out every month, but the latest update should be the only killbit update you will need. I think the latest one is KB978262 which was released earlier this year.

0

Share this post


Link to post
Share on other sites

The activex killbits is typically an update that has a bunch of registry edits. Typically no binaries are added to the OS. The killbits updates do not come out every month, but the latest update should be the only killbit update you will need. I think the latest one is KB978262 which was released earlier this year.

I see. Thanks for the info :)

0

Share this post


Link to post
Share on other sites

I have my dx9 extracted in hfcabs. Is there a switch to show that?

0

Share this post


Link to post
Share on other sites

I have my dx9 extracted in hfcabs. Is there a switch to show that?

If you extracted DX9 (gaming) from Feb 2010, it should be visible as in XP version. If you extracted old DX9 (standard) - it won't be. I think I have to extend detecting DX9 version.

EDIT: There was an error in detecting DX9. I fixed that and added also detecting of extracted DX9 (standard).

Edited by Parseus
0

Share this post


Link to post
Share on other sites

Hello Parseus,

I configured HFSLIPFC-2K to use Mediaplayer 9 updates but after installing Windows Update wants to install Mediaplayer 6 updates also.

These are the updates:

WindowsMedia6-KB925398-v2-x86-DEU.exe

WindowsMedia64-KB954600-x86-DEU.exe

WindowsMedia64-KB974112-x86-DEU.exe

Regards

Stephan

0

Share this post


Link to post
Share on other sites

Greeting Parseus,

I have run the latest version of your script and found the following issues:

I have SP0 in source and received the following “error”:

-----------------------------------------------------------

Running HFSLIPFC v.2010/05/14 at Thu 05/14/2010 21:11:05.71

-----------------------------------------------------------

wrong (S): HF\W2KSP4_EN.exe (Service Pack 4 for Windows 2000, it's for SP4)

I want to update VBScript to v5.7. I put KB981349 in HF and received the following “errors”:

-----------------------------------------------------------

Running HFSLIPFC v.2010/05/14 at Thu 05/14/2010 21:11:05.71

-----------------------------------------------------------

obsolete: HF\Windows2000-KB981349-x86-ENU.EXE (MS10-022: VBScript update from 5.1 to 5.7, VBScript update applicable for Windows Script 5.7)

missing (S): HF\Windows2000-KB981349-x86-ENU.EXE (MS10-022: VBScript update from 5.1 to 5.7)

missing (S): HF\Windows2000-KB981350-x86-ENU.EXE (MS10-022: VBScript (update from 5.1 to 5.6 version))

You have marked the following for server but it is for both. It should not be marked as Server only. It is needed to keep MU from asking for KB926122.

-----------------------------------------------------------

Running HFSLIPFC v.2010/05/14 at Thu 05/14/2010 21:11:05.71

-----------------------------------------------------------

wrong (S): HF\Windows2000-KB973037-x86-ENU.EXE (MS09-066: Active Directory, it's for SERVER)

The following updates are for WMP6. Even though I am slipstreaming WMP9, WMP6 is not replaced. I have not found a way to successfully stop WMP6 from installing using HFSLIP. It breaks the install. Since this is the case, these updates would be needed whether you slipstream WMP9 or not. As stephan_bauer reported MU and WU says there are needed.

-----------------------------------------------------------

Running HFSLIPFC v.2010/05/14 at Thu 05/14/2010 21:11:05.71

-----------------------------------------------------------

wrong (S): HF\WindowsMedia6-KB925398-v2-x86-ENU.exe (MS06-078: Windows Media Formats, it's for WMP6)

wrong (S): HF\WindowsMedia64-KB954600-x86-ENU.exe (MS08-076: Windows Media Components, it's for WMP6)

wrong (S): HF\WindowsMedia64-KB974112-x86-ENU.exe (MS09-052: ASF files, it's for WMP6)

The following update is for Server only and you have it marked as both.

-----------------------------------------------------------

Running HFSLIPFC v.2010/05/14 at Thu 05/14/2010 21:11:05.71

-----------------------------------------------------------

missing (S): HF\Windows2000-KB926121-x86-ENU.EXE (MS06-077: Remote Installation Services

The following update is an advisory that is required to keep MU happy. It is for Enhancements for the Indeo Codec.

-----------------------------------------------------------

Running HFSLIPFC v.2010/05/14 at Thu 05/14/2010 21:11:05.71

-----------------------------------------------------------

unknown: HF\windows2000-kb955759-x86-enu.exe

This is an update for both WMP6.4 and WMP9. It should be placed in HFSVCPACK as the WMP9 part installs correctly in HF but not the WMP6.4 part. See my explanation above.

-----------------------------------------------------------

Running HFSLIPFC v.2010/05/14 at Thu 05/14/2010 21:11:05.71

-----------------------------------------------------------

missing (S): HF\Windows2000-WindowsMedia-KB977816-x86-ENU.EXE (MS10-026: MPEG Layer-3 Codecs)

I hope this information helps to make an already great tool even better. Thanks for all your hard work and expertise.

My2GirlsDad

0

Share this post


Link to post
Share on other sites

I have SP0 in source and received the following “error”:

-----------------------------------------------------------

Running HFSLIPFC v.2010/05/14 at Thu 05/14/2010 21:11:05.71

-----------------------------------------------------------

wrong (S): HF\W2KSP4_EN.exe (Service Pack 4 for Windows 2000, it's for SP4)

This issue is connected with problem which I described here.

I want to update VBScript to v5.7. I put KB981349 in HF and received the following “errors”:

-----------------------------------------------------------

Running HFSLIPFC v.2010/05/14 at Thu 05/14/2010 21:11:05.71

-----------------------------------------------------------

obsolete: HF\Windows2000-KB981349-x86-ENU.EXE (MS10-022: VBScript update from 5.1 to 5.7, VBScript update applicable for Windows Script 5.7)

missing (S): HF\Windows2000-KB981349-x86-ENU.EXE (MS10-022: VBScript update from 5.1 to 5.7)

missing (S): HF\Windows2000-KB981350-x86-ENU.EXE (MS10-022: VBScript (update from 5.1 to 5.6 version))

Fixed. It was caused by wrong detection of scripten.exe.

You have marked the following for server but it is for both. It should not be marked as Server only. It is needed to keep MU from asking for KB926122.

-----------------------------------------------------------

Running HFSLIPFC v.2010/05/14 at Thu 05/14/2010 21:11:05.71

-----------------------------------------------------------

wrong (S): HF\Windows2000-KB973037-x86-ENU.EXE (MS09-066: Active Directory, it's for SERVER)

Fixed.

The following updates are for WMP6. Even though I am slipstreaming WMP9, WMP6 is not replaced. I have not found a way to successfully stop WMP6 from installing using HFSLIP. It breaks the install. Since this is the case, these updates would be needed whether you slipstream WMP9 or not. As stephan_bauer reported MU and WU says there are needed.

-----------------------------------------------------------

Running HFSLIPFC v.2010/05/14 at Thu 05/14/2010 21:11:05.71

-----------------------------------------------------------

wrong (S): HF\WindowsMedia6-KB925398-v2-x86-ENU.exe (MS06-078: Windows Media Formats, it's for WMP6)

wrong (S): HF\WindowsMedia64-KB954600-x86-ENU.exe (MS08-076: Windows Media Components, it's for WMP6)

wrong (S): HF\WindowsMedia64-KB974112-x86-ENU.exe (MS09-052: ASF files, it's for WMP6)

Fixed.

The following update is for Server only and you have it marked as both.

-----------------------------------------------------------

Running HFSLIPFC v.2010/05/14 at Thu 05/14/2010 21:11:05.71

-----------------------------------------------------------

missing (S): HF\Windows2000-KB926121-x86-ENU.EXE (MS06-077: Remote Installation Services

Fixed.

The following update is an advisory that is required to keep MU happy. It is for Enhancements for the Indeo Codec.

-----------------------------------------------------------

Running HFSLIPFC v.2010/05/14 at Thu 05/14/2010 21:11:05.71

-----------------------------------------------------------

unknown: HF\windows2000-kb955759-x86-enu.exe

Fixed. However, the problem is that currently downloading this update via KB article is currently available only for Server 2003 x64 and ia64 (at least for Polish update, I don't know about other languages, but English works fine).

This is an update for both WMP6.4 and WMP9. It should be placed in HFSVCPACK as the WMP9 part installs correctly in HF but not the WMP6.4 part. See my explanation above.

-----------------------------------------------------------

Running HFSLIPFC v.2010/05/14 at Thu 05/14/2010 21:11:05.71

-----------------------------------------------------------

missing (S): HF\Windows2000-WindowsMedia-KB977816-x86-ENU.EXE (MS10-026: MPEG Layer-3 Codecs)

Added.

Thanks for report, guys :)

0

Share this post


Link to post
Share on other sites

When I ran with 2k, I slipped the WM codecs without the WM9 installer. The WM codecs required a subset of the WM9 hotfixes. Stephan mentioned all the updates needed for the codec portion.

I'm still getting dx9 cab probs. I'm using the current filesets.

0

Share this post


Link to post
Share on other sites

Hello Parseus,

I'm using DX=9 standard but with 2010/05/17 I'm getting this errors:

wrong (O): HF\directx_9c_redist.exe (DirectX 9.0c (standard), it's for DX9)

obsolete: HFSVCPACK_SW1\Windows2000-DirectX9-KB975560-x86-DEU.exe (MS10-013: Quartz for DX9, DO NOT MIX)

missing (S): HF\Windows2000-KB975560-x86-DEU.exe (MS10-013: Quartz)

Also I tried to set

R|HFCABS\_IE6_HFSLIP.CAB|remains from IE6 slipstreaming in HFSLIP, you can delete it

R|HFCABS\_IE6b_HFSLIP.CAB|remians from IE6 slipstreaming in HFSLIP, you can delete it

R|HFCABS\_OE6_HFSLIP.CAB|remians from IE6 slipstreaming in HFSLIP, you can delete it

to the ignore list but this doesn't work. Other entries in the list are working.

Regards

Stephan

0

Share this post


Link to post
Share on other sites

Create an account or sign in to comment

You need to be a member in order to leave a comment

Create an account

Sign up for a new account in our community. It's easy!


Register a new account

Sign in

Already have an account? Sign in here.


Sign In Now

  • Recently Browsing   0 members

    No registered users viewing this page.